# VaultWhitelistAdmin

**Inherits:** AccessControlInternal

Handles administrative functions for the whitelist module.

## Functions

### setMerkleRoot

Sets the Merkle root for the whitelist.

*Only the owner (admin) can call this function.*

```solidity
function setMerkleRoot(bytes32 _merkleRoot) external onlyRole(AccessControlStorage.DEFAULT_ADMIN_ROLE);
```

**Parameters**

| Name          | Type      | Description          |
| ------------- | --------- | -------------------- |
| `_merkleRoot` | `bytes32` | The new Merkle root. |

### \_setMerkleRoot

```solidity
function _setMerkleRoot(bytes32 _merkleRoot) internal;
```

## Events

### MerkleRootSet

```solidity
event MerkleRootSet(bytes32 oldMerkleRoot, bytes32 newMerkleRoot);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ariaprotocol.xyz/technical-docs/contract-docs/iprwa/vault/admin/children/vaultwhitelistadmin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
